import { LitElement } from 'lit-element';
import '@polymer/iron-icon';
import '@polymer/iron-icons';
/**
 * Material Design upload button that previews the image (Polymer)
 *
 * @demo demo/index.html
 */
export declare class PaperImageUploadButton extends LitElement {
    /**
     * Set to true if users should be allowed to upload images
     */
    disabled: boolean;
    /**
     * Icon that is shown during hover
     */
    icon: string;
    /**
     * URL to the currently shown image
     */
    image?: string;
    /**
     * True if the image is currently uploading
     */
    uploading: boolean;
    /**
     * Set to true if element doesn't have an image
     */
    protected noImage: boolean;
    /**
     * Set to true if users should be allowed to upload images
     */
    private canUpload;
    static readonly styles: import("lit-element").CSSResult;
    protected render(): import("lit-element").TemplateResult;
    protected updated(): void;
    private _onFileChange;
    private readonly fileEl;
}
